function DATAinsert = cellMaker2DCrL(IDcentralina,DTcatena,NodeNum,c2DCrL,ListaDate,...
    ARRAYdate_2DCrL,Dati2DCrack,DatiNTCCrack2D,Err2DCrackLink,...
    Ch2DCrL,CrL2D_NTC,cont2DCrL)

DATAinsert = cell(ListaDate,9);
for ii=1:ListaDate
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_2DCrL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_2DCrL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati2DCrack(ii,c2DCrL);
    DATAinsert{ii,7} = Dati2DCrack(ii,c2DCrL+1);
    if Ch2DCrL(cont2DCrL) >= 3
        if CrL2D_NTC(cont2DCrL) == 1
            DATAinsert{ii,8} = DatiNTCCrack2D(ii,cont2DCrL);
        end
    end     
    DATAinsert{ii,9} = Err2DCrackLink(ii,cont2DCrL);
end

end
